Rapid7 Vulnerability & Exploit Database

Red Hat OpenShift: CVE-2019-7610: kibana: Audit logging Remote Code Execution issue

Back to Search

Red Hat OpenShift: CVE-2019-7610: kibana: Audit logging Remote Code Execution issue

Severity
9
CVSS
(AV:N/AC:M/Au:N/C:C/I:C/A:C)
Published
03/25/2019
Created
10/09/2019
Added
10/08/2019
Modified
10/15/2019

Description

Kibana versions before 6.6.1 contain an arbitrary code execution flaw in the security audit logger. If a Kibana instance has the setting xpack.security.audit.enabled set to true, an attacker could send a request that will attempt to execute javascript code. This could possibly lead to an attacker executing arbitrary commands with permissions of the Kibana process on the host system.

Solution(s)

  • linuxrpm-upgrade-kibana

References

  • linuxrpm-upgrade-kibana

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;